//
//  ESDKShutter.h
//  eShutterSDK
//
//  Created by Patrik Jurica on 25.3.2013.
//
//

#import <Cocoa/Cocoa.h>
//#import "Headers/eShutterSDKDatatypes.h"

struct ComReadSetupResponse;
struct ComApertureSteps;

@interface ESDKShutterSettings : NSObject
{
@private
    struct ComReadSetupResponse* pComReadSetupResponse;
    struct ComApertureSteps* pApertureSteps;
}

- (enum ESDKResult)read;
- (enum ESDKResult)writeAndResetCounters:(BOOL)reset;

@property(nonatomic, assign) NSString* manufacturer;
@property(nonatomic, assign) NSString* type;
@property(nonatomic, assign) NSString* articleNo;
@property(nonatomic, assign) NSNumber* minApertureIndex;
@property(nonatomic, assign) NSNumber* maxApertureIndex;
@property(nonatomic, assign) NSNumber* focalLength;
@property(nonatomic, assign) NSNumber* imageCircle;
@property(nonatomic, assign) NSNumber* defaultShutterSpeed;
@property(nonatomic, assign) NSNumber* defaultApertureIndex;
@property(nonatomic, assign) NSNumber* defaultFlashMode;
@property(nonatomic, assign) NSNumber* defaultWakeUpTime;
@property(nonatomic, assign) NSString* serialNo;
@property(nonatomic, assign) NSArray* apertureLut;
@property(nonatomic, assign) NSString* lensAssemblyDate;

@property(nonatomic, readonly) NSString* printSerialNo;
@property(nonatomic, readonly) NSString* shutterAssemblyDate;
@property(nonatomic, readonly) NSNumber* address;
@property(nonatomic, readonly) NSNumber* defaultApertureValue;
@property(nonatomic, readonly) NSNumber* apertureOffset;
@property(nonatomic, readonly) NSNumber* timeShutterImpulse;
@property(nonatomic, readonly) NSNumber* timeShutterMinOpen;
@property(nonatomic, readonly) NSNumber* levOff;
@property(nonatomic, readonly) NSNumber* levRelease;
@property(nonatomic, readonly) NSNumber* levOpen;
@property(nonatomic, readonly) NSNumber* levReleaseOpen;
@property(nonatomic, readonly) NSNumber* levTol;
@property(nonatomic, readonly) NSNumber* alMin48V;
 
@end
